> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user positions



## OpenAPI

````yaml get /v1/user/positions
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/user/positions:
    get:
      tags:
        - users
      summary: Get current user positions
      operationId: UserController_getUserPositions_v1
      parameters: []
      responses:
        '200':
          description: User positions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPositionResponseDtoArrayResponse'
      security:
        - accessToken: []
components:
  schemas:
    UserPositionResponseDtoArrayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/UserPositionResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    UserPositionResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 64648e27-e093-44c3-b5a1-49154a0a1660
          description: Unique identifier of the user position
        userId:
          type: string
          example: 898bf847-18c5-4022-b4be-6035aa06877f
          description: User ID
        tenantId:
          type: string
          example: 4f1cd86e-c077-4acc-b242-09478ad3ec79
          description: Unique identifier of the tenant
        positionsId:
          type: string
          example: d2e8b360-686c-4e2c-a788-5ca9d7fc3daa
          description: Positions ID
        autoProvisioned:
          type: boolean
          example: true
          description: Whether the user position was auto-provisioned
          default: false
        instanceId:
          type: string
          nullable: true
          example: 14120202-09d5-4b50-b522-b41d0821f7d0
          description: Prismatic instance ID for auto-provisioned positions
        isEditable:
          type: boolean
          example: false
          description: Whether the position is editable
          default: false
        isDeleted:
          type: boolean
          example: true
          description: Whether the user position is marked as deleted
          default: false
        deletedOn:
          format: date-time
          type: string
          nullable: true
          example: '2025-08-19T23:46:35.207Z'
          description: Deletion timestamp
        createdOn:
          format: date-time
          type: string
          example: '2026-01-11T12:03:07.517Z'
          description: Creation timestamp
          default: now()
        updatedOn:
          format: date-time
          type: string
          example: '2026-01-11T19:28:18.878Z'
          description: Last update timestamp
          default: now()
        positionName:
          type: string
          example: Senior Developer
          description: Name of the position
          maxLength: 50
        isSCIMProvisioned:
          type: boolean
          example: false
          description: Whether the position is a SCIM provisioning position
          default: false
        externalId:
          type: string
          nullable: true
          example: f143825c-798e-43bb-8f88-da1ff0d8b399
          description: External identifier for the position
      required:
        - id
        - userId
        - tenantId
        - positionsId
        - autoProvisioned
        - instanceId
        - isEditable
        - isDeleted
        - deletedOn
        - createdOn
        - updatedOn
        - positionName
        - isSCIMProvisioned
        - externalId
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````